> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/cloud/es/web-interface/help-and-tools/export/powershell-script-export-type.md).

# Tipo de exportación de script de PowerShell

Utilice un script de PowerShell para exportar sus datos en formato JSON o CSV. Este método solo está disponible con Devolutions Cloud y requiere PowerShell 7 o posterior.

En primer lugar, elija si desea rellenar su información en el script de PowerShell de forma automática o manual.

### Rellenar la información automáticamente

1. En ***Help & tools***, haga clic en ***Export***.
2. Seleccione el tipo de exportación ***PowerShell script***.

   ![](https://cdnweb.devolutions.net/docs/HUBB2025_2024_1.png)
3. A continuación, cree una [identidad de aplicación](/cloud/es/web-interface/administration/management/application-identities/manage-application-identities.md) con el derecho de exportar las bóvedas deseadas (consulte [Roles y permisos](/cloud/es/web-interface/administration/configuration-and-security/system-permissions/roles-and-permissions.md) para más detalles). Asegúrese de habilitar ***Can access user vaults***; de lo contrario, las bóvedas de usuario no se podrán exportar.
4. Seleccione la opción ***Automatic***.

   ![](https://cdnweb.devolutions.net/docs/HUBB2023_2024_1.png)
5. Introduzca el ***Application secret*** y la ***Application key*** de su identidad de aplicación en los campos correspondientes.
6. Introduzca la ***Destination folder path***. Aquí es donde se exportarán sus datos.
7. Elija exportar en JSON o CSV.
8. Haga clic en ***Download***.
9. Ejecute el script descargado con PowerShell 7.

Sus datos se han exportado a la carpeta de destino.

### Rellenar la información manualmente

1. En ***Help & tools***, haga clic en ***Export***.
2. Seleccione el tipo de exportación ***PowerShell script***.

   ![](https://cdnweb.devolutions.net/docs/HUBB2025_2024_1.png)
3. [Cree una identidad de aplicación](/cloud/es/web-interface/administration/management/application-identities.md) y asígnele el permiso ***Manage vaults*** para la bóveda deseada.
4. Seleccione la opción ***Manual***.

   ![](https://cdnweb.devolutions.net/docs/HUBB2024_2024_1.png)
5. Elija exportar en JSON o CSV.
6. Copie y pegue el script en un fichero de PowerShell (.ps1).
7. En el script copiado, cambie las variables con la información adecuada. Consulte la tabla siguiente.

   <table><thead><tr><th width="211.79998779296875">Variable</th><th>Descripción</th></tr></thead><tbody><tr><td><code>$url</code></td><td>Introduzca la URL de su Devolutions Cloud. Esta variable se rellena automáticamente, pero aún es posible cambiarla.</td></tr><tr><td><code>$appSecret</code></td><td>Introduzca el <em><strong>Application secret</strong></em> del usuario de aplicación.</td></tr><tr><td><code>$appKey</code></td><td>Introduzca la <em><strong>Application key</strong></em> del usuario de aplicación.</td></tr><tr><td><code>$pathToExportedFolder</code></td><td>Introduzca la <em><strong>Destination folder path</strong></em>. Aquí es donde se exportarán sus datos.</td></tr></tbody></table>
8. Ejecute el script con PowerShell 7.

Sus datos se han exportado a la carpeta de destino.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/cloud/es/web-interface/help-and-tools/export/powershell-script-export-type.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
